Loading...
Searching...
No Matches
pair_like Interface Reference
Utility » Tuple

Whether a type behaves like a tuple with exactly two elements. More...

`#include <seqan3/utility/tuple/concept.hpp>`

Inheritance diagram for pair_like:
[legend]

## Additional Inherited Members

Related Symbols inherited from tuple_like
size_t | tuple_size_v
| A unary type trait that holds the number of elements in the tuple.
| tuple_elment_t
| A transformation trait that holds the type of elements in the tuple.
auto && | get (type &&val)
| Return the i-th element of the tuple.

## Detailed Description

Whether a type behaves like a tuple with exactly two elements.

Types that meet this concept are for example std::tuple, std::pair, std::array, seqan3::pod_tuple, iff std::tuple_size equals 2.

The documentation for this interface was generated from the following file:

- utility/tuple/concept.hpp

Hide me